org.eclipse.eef.impl

## Class EEFTextStyleImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFWidgetStyleImpl
          - - org.eclipse.eef.impl.EEFTextStyleImpl

All Implemented Interfaces:
  EEFTextStyle, EEFWidgetStyle, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EEFTextStyleImpl
    extends EEFWidgetStyleImpl
    implements EEFTextStyle

An implementation of the model object 'EEF Text Style'.

The following features are implemented:

- `Background Color Expression`
- `Foreground Color Expression`
- `Font Name Expression`
- `Font Size Expression`
- `Font Style Expression`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `BACKGROUND_COLOR_EXPRESSION_EDEFAULT` The default value of the '`Background Color Expression`' attribute.
`protected java.lang.String` `backgroundColorExpression` The cached value of the '`Background Color Expression`' attribute.
`protected static java.lang.String` `FONT_NAME_EXPRESSION_EDEFAULT` The default value of the '`Font Name Expression`' attribute.
`protected static java.lang.String` `FONT_SIZE_EXPRESSION_EDEFAULT` The default value of the '`Font Size Expression`' attribute.
`protected static java.lang.String` `FONT_STYLE_EXPRESSION_EDEFAULT` The default value of the '`Font Style Expression`' attribute.
`protected java.lang.String` `fontNameExpression` The cached value of the '`Font Name Expression`' attribute.
`protected java.lang.String` `fontSizeExpression` The cached value of the '`Font Size Expression`' attribute.
`protected java.lang.String` `fontStyleExpression` The cached value of the '`Font Style Expression`' attribute.
`protected static java.lang.String` `FOREGROUND_COLOR_EXPRESSION_EDEFAULT` The default value of the '`Foreground Color Expression`' attribute.
`protected java.lang.String` `foregroundColorExpression` The cached value of the '`Foreground Color Expression`' attribute.

### Fields inherited from class org.eclipse.eef.impl.EEFWidgetStyleImpl

`LABEL_BACKGROUND_COLOR_EXPRESSION_EDEFAULT, LABEL_FONT_NAME_EXPRESSION_EDEFAULT, LABEL_FONT_SIZE_EXPRESSION_EDEFAULT, LABEL_FONT_STYLE_EXPRESSION_EDEFAULT, LABEL_FOREGROUND_COLOR_EXPRESSION_EDEFAULT, labelBackgroundColorExpression, labelFontNameExpression, labelFontSizeExpression, labelFontStyleExpression, labelForegroundColorExpression`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFTextStyleImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getBackgroundColorExpression()`
`java.lang.String` `getFontNameExpression()`
`java.lang.String` `getFontSizeExpression()`
`java.lang.String` `getFontStyleExpression()`
`java.lang.String` `getForegroundColorExpression()`
`void` `setBackgroundColorExpression(java.lang.String newBackgroundColorExpression)`
`void` `setFontNameExpression(java.lang.String newFontNameExpression)`
`void` `setFontSizeExpression(java.lang.String newFontSizeExpression)`
`void` `setFontStyleExpression(java.lang.String newFontStyleExpression)`
`void` `setForegroundColorExpression(java.lang.String newForegroundColorExpression)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.eef.impl.EEFWidgetStyleImpl

`getLabelBackgroundColorExpression, getLabelFontNameExpression, getLabelFontSizeExpression, getLabelFontStyleExpression, getLabelForegroundColorExpression, setLabelBackgroundColorExpression, setLabelFontNameExpression, setLabelFontSizeExpression, setLabelFontStyleExpression, setLabelForegroundColorExpression`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.EEFWidgetStyle

`getLabelBackgroundColorExpression, getLabelFontNameExpression, getLabelFontSizeExpression, getLabelFontStyleExpression, getLabelForegroundColorExpression, setLabelBackgroundColorExpression, setLabelFontNameExpression, setLabelFontSizeExpression, setLabelFontStyleExpression, setLabelForegroundColorExpression`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### BACKGROUND_COLOR_EXPRESSION_EDEFAULT

    protected static final java.lang.String BACKGROUND_COLOR_EXPRESSION_EDEFAULT

The default value of the '`Background Color Expression`' attribute.

See Also:
  `getBackgroundColorExpression()`

#### backgroundColorExpression

    protected java.lang.String backgroundColorExpression

The cached value of the '`Background Color Expression`' attribute.

See Also:
  `getBackgroundColorExpression()`

#### FOREGROUND_COLOR_EXPRESSION_EDEFAULT

    protected static final java.lang.String FOREGROUND_COLOR_EXPRESSION_EDEFAULT

The default value of the '`Foreground Color Expression`' attribute.

See Also:
  `getForegroundColorExpression()`

#### foregroundColorExpression

    protected java.lang.String foregroundColorExpression

The cached value of the '`Foreground Color Expression`' attribute.

See Also:
  `getForegroundColorExpression()`

#### FONT_NAME_EXPRESSION_EDEFAULT

    protected static final java.lang.String FONT_NAME_EXPRESSION_EDEFAULT

The default value of the '`Font Name Expression`' attribute.

See Also:
  `getFontNameExpression()`

#### fontNameExpression

    protected java.lang.String fontNameExpression

The cached value of the '`Font Name Expression`' attribute.

See Also:
  `getFontNameExpression()`

#### FONT_SIZE_EXPRESSION_EDEFAULT

    protected static final java.lang.String FONT_SIZE_EXPRESSION_EDEFAULT

The default value of the '`Font Size Expression`' attribute.

See Also:
  `getFontSizeExpression()`

#### fontSizeExpression

    protected java.lang.String fontSizeExpression

The cached value of the '`Font Size Expression`' attribute.

See Also:
  `getFontSizeExpression()`

#### FONT_STYLE_EXPRESSION_EDEFAULT

    protected static final java.lang.String FONT_STYLE_EXPRESSION_EDEFAULT

The default value of the '`Font Style Expression`' attribute.

See Also:
  `getFontStyleExpression()`

#### fontStyleExpression

    protected java.lang.String fontStyleExpression

The cached value of the '`Font Style Expression`' attribute.

See Also:
  `getFontStyleExpression()`

### Constructor Detail

#### EEFTextStyleImpl

    protected EEFTextStyleImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `EEFWidgetStyleImpl`

#### getBackgroundColorExpression

    public java.lang.String getBackgroundColorExpression()

Specified by:
  `getBackgroundColorExpression` in interface `EEFTextStyle`
Returns:
  the value of the 'Background Color Expression' attribute.
See Also:
  `EEFTextStyle.setBackgroundColorExpression(String)`, `EefPackage.getEEFTextStyle_BackgroundColorExpression()`

#### setBackgroundColorExpression

    public void setBackgroundColorExpression(java.lang.String newBackgroundColorExpression)

Specified by:
  `setBackgroundColorExpression` in interface `EEFTextStyle`
Parameters:
  `newBackgroundColorExpression` - the new value of the 'Background Color Expression' attribute.
See Also:
  `EEFTextStyle.getBackgroundColorExpression()`

#### getForegroundColorExpression

    public java.lang.String getForegroundColorExpression()

Specified by:
  `getForegroundColorExpression` in interface `EEFTextStyle`
Returns:
  the value of the 'Foreground Color Expression' attribute.
See Also:
  `EEFTextStyle.setForegroundColorExpression(String)`, `EefPackage.getEEFTextStyle_ForegroundColorExpression()`

#### setForegroundColorExpression

    public void setForegroundColorExpression(java.lang.String newForegroundColorExpression)

Specified by:
  `setForegroundColorExpression` in interface `EEFTextStyle`
Parameters:
  `newForegroundColorExpression` - the new value of the 'Foreground Color Expression' attribute.
See Also:
  `EEFTextStyle.getForegroundColorExpression()`

#### getFontNameExpression

    public java.lang.String getFontNameExpression()

Specified by:
  `getFontNameExpression` in interface `EEFTextStyle`
Returns:
  the value of the 'Font Name Expression' attribute.
See Also:
  `EEFTextStyle.setFontNameExpression(String)`, `EefPackage.getEEFTextStyle_FontNameExpression()`

#### setFontNameExpression

    public void setFontNameExpression(java.lang.String newFontNameExpression)

Specified by:
  `setFontNameExpression` in interface `EEFTextStyle`
Parameters:
  `newFontNameExpression` - the new value of the 'Font Name Expression' attribute.
See Also:
  `EEFTextStyle.getFontNameExpression()`

#### getFontSizeExpression

    public java.lang.String getFontSizeExpression()

Specified by:
  `getFontSizeExpression` in interface `EEFTextStyle`
Returns:
  the value of the 'Font Size Expression' attribute.
See Also:
  `EEFTextStyle.setFontSizeExpression(String)`, `EefPackage.getEEFTextStyle_FontSizeExpression()`

#### setFontSizeExpression

    public void setFontSizeExpression(java.lang.String newFontSizeExpression)

Specified by:
  `setFontSizeExpression` in interface `EEFTextStyle`
Parameters:
  `newFontSizeExpression` - the new value of the 'Font Size Expression' attribute.
See Also:
  `EEFTextStyle.getFontSizeExpression()`

#### getFontStyleExpression

    public java.lang.String getFontStyleExpression()

Specified by:
  `getFontStyleExpression` in interface `EEFTextStyle`
Returns:
  the value of the 'Font Style Expression' attribute.
See Also:
  `EEFTextStyle.setFontStyleExpression(String)`, `EefPackage.getEEFTextStyle_FontStyleExpression()`

#### setFontStyleExpression

    public void setFontStyleExpression(java.lang.String newFontStyleExpression)

Specified by:
  `setFontStyleExpression` in interface `EEFTextStyle`
Parameters:
  `newFontStyleExpression` - the new value of the 'Font Style Expression' attribute.
See Also:
  `EEFTextStyle.getFontStyleExpression()`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `EEFWidgetStyleImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `EEFWidgetStyleImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `EEFWidgetStyleImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `EEFWidgetStyleImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `EEFWidgetStyleImpl`